release 2.08 mystery

it seems release 2.08 is available, downloading related installer only gives "validation successful your license infos have been updated".

what the hell does this mean ? is this an update or not ?

Best Answer

  • SimonSimon Posts: 2,600 Superuser
    Accepted Answer

    Hi YOF,

     

    Usually, with the beta updates, I wait for the pop up prompt which should appear on your computer a short time after the annoucment / release, and upgrade from there.  No need to reboot, reinstall, or any of that drama, and it's not failed me yet.

     

    If you're seeing unusual issues, then please report these through the F-Secure Beta website, attaching an FSDIAG, if appropriate. 

     

    Just a thought, though, did you fully uninstall your previous F-Secure installation when you moved to the Beta?

Comments

  • yeoldfartyeoldfart Posts: 509

    update: I had to uninstal then re-install F-SIS to get 2.08 installed and working...

  • yeoldfartyeoldfart Posts: 509

    hello

    thx for your reply, yes I did uninstall the previous version with the dedicated uninstall tool and CCleaned the registry. I dld 2.08 from the beta console rls part: I may have been over zealous Cat Wink I'll wait for the popup prompt next time.

    Regards

  • SimonSimon Posts: 2,600 Superuser
    Just to clarify, we're talking about TP108, yes? Not sure what you mean by '2.08'.
  • yeoldfartyeoldfart Posts: 509

    sorry, you are right: I mistyped it and didn't notice it afterwards, it's TP108

  • VilleVille Posts: 491 F-Secure Employee

    Hi

     

    You can not upgrade the software by running the installer again. When you run the installer, it just validates your subscription. I understand that this is confusing but it has to work this way due to other use cases, which are not valid in beta.

     

    You can only upgrade it by waiting for the upgrade prompt or by uninstalling and reinstalling completely.

     

    Ville

    (F-Secure R&D)

     

  • yeoldfartyeoldfart Posts: 509

    thank you for this explanation, you're right: I was confused as this is unusual, I didn't meet this when testing either NIS 2014 nor Bullguard IS 2014 or using other software.

    Glad to have learned something today.

    Regards

This discussion has been closed.